Shale
  1. Shale
  2. SHALE-283

shale-framework-1.0.3.zip is missing a number of jar files

    Details

    • Type: Improvement Improvement
    • Status: Open
    • Priority: Minor Minor
    • Resolution: Unresolved
    • Affects Version/s: 1.0.3
    • Fix Version/s: TBD
    • Component/s: None
    • Labels:
      None
    • Environment:
      NA

      Description

      The following jar files are missing in the lib folder:

      cargo-core-api-util-0.8.jar
      cargo-core-api-container-0.8.jar
      cargo-core-api-generic-0.8.jar
      cargo-core-container-tomcat-0.8.jar
      cglib-2.2_beta1.jar
      jmock-cglib-1.1.0.jar
      jmock-1.1.0.jar
      com-sun-rave-designtime.jar
      jsfcl.jar
      jsfcl-dt.jar
      htmlunit-1.9.jar

      Also the commons validator is using the wrong version 1.1.4. It should be newer. It compiles for me with 1.3.0.

        Activity

        Hide
        Wendy Smoak added a comment -

        I think only required dependencies were included in the zip file.

        Cargo, HtmlUnit and JMock are optional for Shale Test. Maven should retrieve them for you at compile time. Is that not happening?

        Shale Designtime was not supposed to be part of the 1.0.3 release, so the Creator jars should not be required (and we probably can't redistribute them anyway. ) There are instructions in the shale-designtime pom.xml file about how to find and install the jars locally.

        The commons-validator version issue is likely related to the known problems with Maven's dependency management. We'll be addressing that along with the problem of the wrong jars being included in the example apps.

        Show
        Wendy Smoak added a comment - I think only required dependencies were included in the zip file. Cargo, HtmlUnit and JMock are optional for Shale Test. Maven should retrieve them for you at compile time. Is that not happening? Shale Designtime was not supposed to be part of the 1.0.3 release, so the Creator jars should not be required (and we probably can't redistribute them anyway. ) There are instructions in the shale-designtime pom.xml file about how to find and install the jars locally. The commons-validator version issue is likely related to the known problems with Maven's dependency management. We'll be addressing that along with the problem of the wrong jars being included in the example apps.
        Hide
        Henry Li added a comment -

        This is my first time looking at the Shale project and I did not know that it uses maven. I'm using eclipse with auto compile turned on and thus got the compile errors. I figured out and downloaded all the jar files by trial and error. Yes, commons-validator version issue still needs to be resolved. Thanks.

        Show
        Henry Li added a comment - This is my first time looking at the Shale project and I did not know that it uses maven. I'm using eclipse with auto compile turned on and thus got the compile errors. I figured out and downloaded all the jar files by trial and error. Yes, commons-validator version issue still needs to be resolved. Thanks.

          People

          • Assignee:
            Unassigned
            Reporter:
            Henry Li
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:

              Development